Kotlin kapt和android构架组件失败

我使用Kotlin,kapt和Android Architecture组件。 当我build立项目一切似乎很好,但试图在设备/模拟器上运行应用程序后,Gradle's:assemble任务抛出这些错误:

警告:警告:注释处理器“android.arch.persistence.room.RoomProcessor”支持的源版本“RELEASE_7”小于“源1.8”

警告:警告:注释处理器“android.arch.lifecycle.LifecycleProcessor”支持的源版本“RELEASE_7”小于“源”1.8

警告:警告:以下选项未被任何处理器识别:'[kapt.kotlin.generated]'

并build立失败。 有人可以帮我吗?

UPDATE

  • 模块build.gradle 这里
  • 项目build.gradle 这里

  • Kotlin:通过JSONArray迭代
  • Kotlin中的一个类和一个对象之间的区别
  • Android无法实例化一个或多个类
  • Kotlin自定义是否获得执行方法调用
  • Kotlin中的Room Persistence lib实现
  • 如何将Java源文件的一部分转换为Kotlin?
  • 在Kotlin中创build一个抽象类的实例
  • getActionView已被弃用?
  • 我有与版本1.0.0-alpha3相同的问题,但版本1.0.0-alpha1一切工作正常。